<div *ngIf="!showResults">
    <div class="row">
        <div class="col">
            <div class="row">
                <div class="col">
                    <div class="alert" role="alert"
                        style="text-align:center; background-color: rgba(213, 245, 248, 0.582)">
                        <h3>Consultazione Rilievo - SDP</h3>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <app-alert></app-alert>
                </div>
            </div>
            <!------------------------------------------------------------------------------------------------------------------------------------>
            <form #inquiryFormRef="ngForm">
                <div class="row">
                    <div class="col"></div>
                    <div class="col">
                        <div class="form-group">
                            <input class="form-check-input" [(ngModel)]="modelCriteria.type" type="radio"
                                name="Regolarizzati" value="REGULARIZED" id="radio1">
                            <label id="1" class="form-check-label" for="radio1">
                                Regolarizzati
                            </label>
                        </div>
                    </div>
                    <div class="col">
                        <div class="form-group">
                            <input class="form-check-input" [(ngModel)]="modelCriteria.type" type="radio"
                                name="Non Regolarizzati" value="NOT_REGULARIZED" id="radio2">
                            <label class="form-check-label" for="radio2">
                                Non Regolarizzati
                            </label>
                        </div>
                    </div>
                    <div class="col">
                        <div class="form-group">
                            <input class="form-check-input" [(ngModel)]="modelCriteria.type" type="radio" name="Tutti"
                                value="ALL" id="radio3">
                            <label class="form-check-label" for="radio3">
                                Tutti
                            </label>
                        </div>
                    </div>
                </div>
                <!-------------------------------------------------------------------------------------------------------------------------------------------->
                <hr>

                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Data Inserimento</label>
                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>DA:</strong></div>
                            </div>
                            <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" class="form-control"
                                autocomplete="off" [(ngModel)]="modelCriteria._insertDateFrom" name="insertDateFrom"
                                bsDatepicker
                                [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                                [bsValue]="model._insertDate" [maxDate]="insertDateFromUpperBound()">

                        </div>

                    </div>
                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>A:</strong></div>
                            </div>
                            <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" class="form-control"
                                autocomplete="off" [(ngModel)]="modelCriteria._insertDateTo" name="insertDateTo"
                                bsDatepicker
                                [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                                [bsValue]="model._insertDate" [minDate]="insertDateToUpperBound()"
                                [maxDate]="maxInsertDateToUpperBound()">
                        </div>
                    </div>
                </div>
                <!------------------------------------------------------------------------------------------------------------------>

                <div class="form-group row">

                    <label class="col-md-2 col-form-label">Data Competenza</label>
                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>DA:</strong></div>
                            </div>
                            <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" autocomplete="off"
                                class="form-control" [(ngModel)]="modelCriteria._competenceDateFrom"
                                name="competenceDateFrom" bsDatepicker
                                [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default', showWeekNumbers : false }"
                                [bsValue]="model._competenceDate" #competenceDateRef="ngModel"
                                [maxDate]="competenceDateFromUpperBound()">

                        </div>
                    </div>

                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>A:</strong></div>
                            </div>
                            <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" autocomplete="off"
                                class="form-control" [(ngModel)]="modelCriteria._competenceDateTo"
                                name="competenceDateTo" bsDatepicker
                                [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default', showWeekNumbers : false }"
                                [bsValue]="model._competenceDate" #competenceDateRef="ngModel"
                                [minDate]="competenceDateToUpperBound()" [maxDate]="maxCompetenceDateToUpperBound()">
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Importo: </label>
                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>DA:</strong></div>
                            </div>
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>€</strong></div>
                            </div>
                            <input type="text" class="form-control" name="amountFrom"
                                [(ngModel)]="modelCriteria.amountFrom" autocomplete="off"
                                (keydown)="checkAmountDigit($event)" maxlength="14"
                                pattern="^[0-9]{1,}([.][0-9]{1,2})?$" min="0" (change)="amountFromChange()">

                        </div>
                    </div>

                    <div class="col">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>A:</strong></div>
                            </div>
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>€</strong></div>
                            </div>
                            <input type="text" maxlength="14" class="form-control" autocomplete="off"
                                (keydown)="checkAmountDigit($event)" pattern="^[0-9]{1,}([.][0-9]{1,2})?$" min="0"
                                name="amountTo" [(ngModel)]="modelCriteria.amountTo" (change)="amountToChange()">
                        </div>
                    </div>
                </div>
                <hr>
                <div class="row">

                    <div class="col">
                        <button type="button" (click)="goToHome()"
                            class="btn btn-sm btn-danger size buttonCancel">Annulla</button>
                        <button type="button" (click)="toggleResults()"
                            class="btn btn-success btn-sm size buttonConfirm"><span
                                class="oi oi-magnifying-glass"></span>
                            Ricerca</button>
                    </div>
                </div>
            </form>
            <br>
        </div>
    </div>
</div>
<!------------------------------------------RISULTATI------------------------------------------------------------->
<div [hidden]="!showResults">
    <div class="row">
        <div class="col">
            <div class="row">
                <div class="col">
                    <div class="alert" role="alert"
                        style="text-align:center; background-color: rgba(213, 245, 248, 0.582)">
                        <h3>Consultazione Rilievo - SDP</h3>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <app-alert></app-alert>
                </div>
            </div>
            <!------------------------------------------------------------------------------------------------------------------------------------>
            <form #consultationFormRef="ngForm">
                <div class="form-group row">
                    <div class="col">
                        <label class="labelResult">Stato</label>
                        <input class="form-control textResult form-control-sm" name="searchStatus"
                            [ngModel]="modelCriteria.type == 'REGULARIZED' ? 'Regolarizzato' : (modelCriteria.type == 'NOT_REGULARIZED' ? 'Non Regolarizzato' : 'Tutti')"
                            type="text" disabled>
                    </div>
                    <div class="col">
                        <label class="labelResult"> Data Inserimento</label>
                        <div class="input-group input-group-sm">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>DA/A</strong></div>
                            </div>
                            <input type="datetime" class="form-control textResult form-control-sm" disabled
                                [ngModel]="modelCriteria?._insertDateFrom | date: 'dd/MM/yyyy' " name="insertDateFrom">
                            <input type="datetime" class="form-control textResult form-control-sm" disabled
                                [ngModel]="modelCriteria?._insertDateTo | date: 'dd/MM/yyyy'" name="insertDateTo">
                        </div>

                    </div>
                    <div class="col"><label class="labelResult"> Data Competenza</label>
                        <div class="input-group input-group-sm">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>DA/A</strong></div>
                            </div>
                            <input type="datetime" class="form-control textResult form-control-sm" disabled
                                [ngModel]="modelCriteria?._competenceDateFrom| date: 'dd/MM/yyyy'"
                                name="competenceDateFrom">
                            <input type="datetime" class="form-control textResult form-control-sm" disabled
                                [ngModel]="modelCriteria?._competenceDateTo| date: 'dd/MM/yyyy'"
                                name="competenceDateTo">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col">

                        <label class="labelResult">Importo: </label>
                        <div class="input-group input-group-sm">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>DA/A</strong></div>
                            </div>
                            <div class="input-group-prepend">
                                <div class="input-group-text"><strong>€</strong></div>
                            </div>
                            <input type="text" class="form-control textResult form-control-sm" name="amountFrom"
                                disabled [ngModel]="modelCriteria?.amountFrom">
                            <input type="text" class="form-control textResult form-control-sm" name="amountTo" disabled
                                [ngModel]="modelCriteria?.amountTo">
                        </div>
                    </div>
                    <div class="col"></div>
                    <div class="col"></div>
                </div>
                <!--    <div class="form-group row">
                        <div class="col">
                            <label class="labelResult">Causale Rilievo</label>
                            <input style="font-size: 11.5px;" type="text" class="form-control textResult form-control-sm"
                                name="reason" disabled [ngModel]="modelCriteria?.reason?.description">
                        </div>
                        <div class="col">
                            <label class="labelResult">Voce Daco</label>
                            <input type="text" class="form-control textResult form-control-sm" name="daco" disabled
                                [ngModel]="modelCriteria?.daco?.description">
                        </div>
                        <div class="col">
                            <label class="labelResult">Connotazione a Perdita</label>
                            <input type="text" class="form-control textResult form-control-sm" name="status"
                                [ngModel]="modelCriteria?.status?.description" disabled>
                        </div>
                        <div class="col">
                            <label class="labelResult">Utente</label>
                            <input type="text" class="form-control textResult form-control-sm" name="appUserCode" disabled
                                [ngModel]="modelCriteria?.appUserCode">
                        </div>
    
                    </div>-->

                <!--  <div class="row">
    
                        <div class="col">
                            <label class="labelResult">Filiali</label>
                            <input type="text" class="form-control textResult form-control-sm" name="branch" disabled
                                [ngModel]="modelCriteria?.branch?.description">
                        </div>
    
                        <div class="col">
                            <label class="labelResult">Ufficio</label>
                            <input type="text" class="form-control textResult form-control-sm" name="office" disabled
                                [ngModel]="modelCriteria?.office?.fractionalDescription">
    
                        </div>
    
                        <div class="col">
                            <label class="labelResult">Frazionario</label>
                            <input type="text" disabled class="form-control textResult form-control-sm " name="Frazionario"
                                [ngModel]="modelCriteria?.fractional">
                        </div>
    
                        <div class="col"></div>
                    </div>-->
                <!-------------------------------------------------------------------------------------------------------------------------------------------->
                <hr>
                <!------------------------------------------------------------------------------------------------------------------>
                <div class="row">
                        
                    <div class="col">
                        <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" id="resultSearchEvaluation"
                            class="row-border hover centered-datatables" style="cursor: pointer; width: 100%;">
                        </table>

                    </div>
                    
                </div>
                <hr>
                <div class="row">
                    <div class="col">
                        <button type="button" (click)="toggleSearch()"
                            class="btn btn-success btn-sm size buttonConfirm"><span
                                class="oi oi-magnifying-glass"></span>
                            Nuova Ricerca</button>
                    </div>
                </div>
            </form>

            
        </div>
    </div>
    

    <ng-template #ManageNote>
        <app-note [evaluation-id]="selectedEvaluationId" [modalRef]="modalRef"></app-note>
    </ng-template>
</div>